Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.spi
Interface ThrowableRenderer

All Known Implementing Classes:
  DefaultThrowableRenderer, EnhancedThrowableRenderer

    public interface ThrowableRenderer

Implemented by classes that render instances of java.lang.Throwable (exceptions and errors) into a string representation.

Since:
  1.2.16

Method Summary
`String[]` | `doRender(Throwable t)` Render Throwable.

Method Detail

### doRender

    String[] doRender(Throwable t)

  Render Throwable.

  Parameters:
    `t` - throwable, may not be null.
  Returns:
    String representation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 Apache Software Foundation. All Rights Reserved.